Package com.independentsoft.office.odf.styles

# Enum Class PageUsage

java.lang.Object
java.lang.Enum<PageUsage>
com.independentsoft.office.odf.styles.PageUsage

All Implemented Interfaces:
  `Serializable`, `Comparable<PageUsage>`, `Constable`

public enum PageUsage extends Enum<PageUsage>
Represents the type of pages that a page master should generate.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  If there are no header-left or footer-left, the header and footer content is the same for left and right pages.
  `LEFT`
  The left header or left footer elements are ignored.
  `MIRRORED`
  If there are no header-left or footer-left, the header and footer content is the same for left and right pages.
  `NONE`
  None.
  `RIGHT`
  The right: header or right: footer elements are ignored.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PageUsage`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PageUsage[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final PageUsage ALL
    If there are no header-left or footer-left, the header and footer content is the same for left and right pages.

  - ### LEFT

    public static final PageUsage LEFT
    The left header or left footer elements are ignored.

  - ### RIGHT

    public static final PageUsage RIGHT
    The right: header or right: footer elements are ignored.

  - ### MIRRORED

    public static final PageUsage MIRRORED
    If there are no header-left or footer-left, the header and footer content is the same for left and right pages.

  - ### NONE

    public static final PageUsage NONE
    None.

- ## Method Details

  - ### values

    public static PageUsage[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PageUsage valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null